Update an existing network
PUT /api/v1/networks/{id}
Update an existing network.
Body parameter
{
"name": "string",
"description": "string",
"egress": true,
"internetAccess": "SPLIT_TUNNEL_ON",
"gatewaysIds": [
"00000000-0000-0000-0000-000000000000"
],
"tunnelingProtocol": "OPENVPN"
}Parameters
Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | true | none |
body | body | true | none | |
» name | body | string | false | none |
» description | body | string | false | none |
» egress | body | boolean | false | none |
» internetAccess | body | string | false | none |
» gatewaysIds | body | [string] | false | none |
» tunnelingProtocol | body | string | false | none |
Enumerated Values
Parameter | Value |
|---|---|
» internetAccess | SPLIT_TUNNEL_ON |
» internetAccess | SPLIT_TUNNEL_OFF |
» internetAccess | RESTRICTED_INTERNET |
» tunnelingProtocol | OPENVPN |
» tunnelingProtocol | IPSEC |
Responses
Status | Meaning | Description | Schema |
|---|---|---|---|
200 | OK |
To perform this operation, you must be authenticated by means of one of the following methods: oauth